Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.identifier
Class PortletCategoryDefinitionId

    java.lang.Object
      com.bea.netuix.application.identifier.Id
          com.bea.netuix.application.identifier.CategoryDefinitionId
              com.bea.netuix.application.identifier.PortletCategoryDefinitionId

All Implemented Interfaces
  Serializable

    public class PortletCategoryDefinitionId

extends com.bea.netuix.application.identifier.CategoryDefinitionId

Portlets can be grouped into categories, such as 'news', 'sports' and 'human resources' portlets. This ID uniquely identifies each portlet category.

See Also
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.application.identifier.Id
`id`

Constructor Summary
`PortletCategoryDefinitionId(int id)`

Method Summary
`protected Object` | `clone()`
`static PortletCategoryDefinitionId` | `clone(PortletCategoryDefinitionId portletCategoryDefinitionId)`
`static PortletCategoryDefinitionId` | `createPortletCategoryDefinitionId(int id)`

Methods inherited from class com.bea.netuix.application.identifier.CategoryDefinitionId
`clone, createCategoryDefinitionId`

Methods inherited from class com.bea.netuix.application.identifier.Id
`equals, equals, getId, getUniqueLabel, hashCode, setId, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortletCategoryDefinitionId

    public PortletCategoryDefinitionId(int id)

Parameters
  `id` - the integer value that this `PortletCategoryDefinitionId` should be set to.

Method Detail

### createPortletCategoryDefinitionId

    public static PortletCategoryDefinitionId createPortletCategoryDefinitionId(int id)

  Parameters
    `id` - the integer value that this `PortletCategoryDefinitionId` should be set to.
  Returns
    a new `PortletCategoryDefinitionId` with the id value set to the integer passed in.

### clone

    public static PortletCategoryDefinitionId clone(PortletCategoryDefinitionId portletCategoryDefinitionId)

  Parameters
    `portletCategoryDefinitionId` - the `PortletCategoryDefinitionId` to clone.
  Returns
    a new `PortletCategoryDefinitionId` with the exact same parameters as the `PortletCategoryDefinitionId` passed in.

### clone

    protected Object clone()

  Overrides:
    `clone` in class `com.bea.netuix.application.identifier.CategoryDefinitionId`
  Returns
    a new `PortletCategoryDefinitionId` with the exact same parameters as this `PortletCategoryDefinitionId`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved